task Jaccard_Index {
	File merged_gvcf
	String chromo
	String docker
	String cluster_config
	String disk_size
	
	command <<<

	cat ${merged_gvcf} | grep -v '##' | awk '
    	BEGIN { OFS = "\t" }
    	NF > 2 && FNR > 1 { 
        	for ( i=9; i<=NF; i++ ) { 
            	split($i,a,":") ;$i = a[1];
        	} 
    	} 
    	{ print }
	'| cut -f1,2,4,5,10- > ${chromo}.gt

	cat ${chromo}.gt | awk '{ if ((length($3) == 1) && (length($4) == 1)) { print } }' > ${chromo}.gt.snv
	cat ${chromo}.gt | awk '{ if ((length($3) != 1) || (length($4) != 1)) { print } }' > ${chromo}.gt.indel

	python /opt/library_concordance.py -i ${chromo}.gt.snv -prefix ${chromo}.snv
	python /opt/filter_indel_over_50.py -i ${chromo}.gt.indel -prefix ${chromo}
	python /opt/library_concordance.py -i ${chromo}.indel.lessthan50bp.txt -prefix ${chromo}.indel

	>>>

	runtime {
		docker:docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File genotype = "${chromo}.gt"
		File snv = "${chromo}.gt.snv"
		File indel = "${chromo}.indel.lessthan50bp.txt"
		File snv_inter = "${chromo}.snv.inter.txt"
		File snv_union = "${chromo}.snv.union.txt"
		File indel_inter = "${chromo}.indel.inter.txt"
		File indel_union = "${chromo}.indel.union.txt"
	}
}